cURL
curl --request POST \
--url https://app.allyy.io/api/predictionexecution/v1.0/customer/{customerId}/predictionV21execution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"predictionConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"take": 123,
"isDelta": true
}
}
'import requests
url = "https://app.allyy.io/api/predictionexecution/v1.0/customer/{customerId}/predictionV21execution"
payload = { "data": {
"predictionConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"take": 123,
"isDelta": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
predictionConfigurationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
take: 123,
isDelta: true
}
})
};
fetch('https://app.allyy.io/api/predictionexecution/v1.0/customer/{customerId}/predictionV21execution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"predictionConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"take": 123,
"isDelta": true,
"created": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"exportedFiles": [
"<string>"
],
"errorCode": 123,
"totalRows": 123
}
}Prediction API
Start prediction execution
POST
/
api
/
predictionexecution
/
v1.0
/
customer
/
{customerId}
/
predictionV21execution
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
⌘I